Subject: bug#41779: Fall back between vc-diff and diff-backup

From: Juri Linkov <[email-masked]>
Date: Thu, 11 Jun 2020 02:17:02 +0300

>> Why do you think that throwing an error is more useful than doing
>> some nice fallback?
>
> It's... imprecise? Like, if I'm using the 'C-x v' prefix, I expect to work
> against a VC repository. Having a command like that succeed despite the
> lack of said repository could give a wrong impression to the user.
>
> Not a big problem, but the cost of implementing a different solution
> doesn't seem to be high either.
>
> Admittedly, I use diff-backup very rarely (though it does happen from time
> to time), so I might not understand your usage scenarios well.

So for the normal usage, users won't notice this additional feature,
and in case of the user error it comes to the rescue.

But I don't insist on this feature, I can handle this in my init file.
I proposed it as a patch only because Lars mentioned the same problem.